
# The demo mode is provided by the Browse package.

LoadPackage( "browse" );


# Load the demo files.

homedir:= DirectoryHome();
demodir:= Directory( Filename( homedir, "saarbruecken/demofiles" ) );


LoadDemoFile( "A GAP session", Filename( demodir, "gapsession.demo" ) );
LoadDemoFile( "The GAP Language", Filename( demodir, "language.demo" ) );
LoadDemoFile( "Constants", Filename( demodir, "constants.demo" ) );
LoadDemoFile( "Lists (arrays)", Filename( demodir, "lists.demo" ) );
LoadDemoFile( "Records", Filename( demodir, "records.demo" ) );
LoadDemoFile( "Customization", Filename( demodir, "customize.demo" ) );
# no separate demo file for "Documentation" needed
LoadDemoFile( "Domains", Filename( demodir, "domains.demo" ) );
LoadDemoFile( "Groups: shuffle groups",
              Filename( demodir, "shuffle.demo" ) );
LoadDemoFile( "Groups: Sym(4) acting on a cube",
              Filename( demodir, "s4.demo" ) );
LoadDemoFile( "Groups: Automorphisms of Sym(6)",
              Filename( demodir, "auts6.demo" ) );
LoadDemoFile( "Groups: fixed point free elements in Sym(n)",
              Filename( demodir, "fixedpointfree.demo" ) );
LoadDemoFile( "Groups: Rubik's cube",
              Filename( demodir, "rubik.demo" ) );
LoadDemoFile( "Groups: Symmetries of a regular icosahedron",
              Filename( demodir, "icos.demo" ) );
LoadDemoFile( "Groups: Some triangle groups",
              Filename( demodir, "grpfp.demo" ) );
# no separate demo file for "Group actions" needed
LoadDemoFile( "Mappings", Filename( demodir, "mappings.demo" ) );
LoadDemoFile( "Other Structures: fields, vector spaces, algebras",
              Filename( demodir, "vspc.demo" ) );
LoadDemoFile( "Other Structures: graphs",
              Filename( demodir, "grape.demo" ) );
LoadDemoFile( "Data libraries (mainly of groups)",
              Filename( demodir, "datalib.demo" ) );
LoadDemoFile( "Profiling", Filename( demodir, "profiling.demo" ) );
LoadDemoFile( "GAP's type system", Filename( demodir, "typesystem.demo" ) );


# Provide some utilities.

UrlOpen:= function( url )
    if ARCH_IS_MAC_OS_X() then
      Exec( Concatenation( "open ", url ) );
    elif ARCH_IS_WINDOWS() then
      Exec(Concatenation( "cmd /c start ", url ) );
    else
      Exec(Concatenation( "xdg-open ", url ) );
    fi;
end;

EditDemoInput:= function( file )
    Edit( Filename( demodir, file ) );
end;


