##############################################################################
##
#X  Symmetries of a Regular Icosahedron
##
Print( "    Icosahedron:                                    \n" );
Print( "    -----------                                     \n" );
Print( "                                                    \n" );
Print( "    The 12 vertices have coordinates (0,+-b,+-1),   \n" );
Print( "    cyclicly permuted,                              \n" );
Print( "    where b = ( 1 + \sqrt{5} ) / 2.                 \n" );
Print( "\n" );

b:= -E(5)^2-E(5)^3;

mat1:= [ [ 0, 1, 0 ],
         [ 0, 0, 1 ],
         [ 1, 0, 0 ] ];

mat2:= 1/2 * [ [ b-1,   1,  -b ],
               [  -1,   b, b-1 ],
               [   b, b-1,   1 ] ];

mat3:= - IdentityMat( 3 );

g:= Group( mat1, mat2, mat3 );

Print( "    mat1: permutation of coordinate axes   \n" );
Print( "    mat2: rotation that fixes (0,b,1)      \n" );
Print( "    mat3: reflection in the origin         \n" );
Print( "    g: group generated by mat1, mat2, mat3 \n" );
Print( "\n" );


##############################################################################
##
#E

