##############################################################################
##
#X  Shuffle
##

Print( "    ShuffleGroup( n ):                                 \n" );
Print( "    -----------------                                  \n" );
Print( "    permutation group on 2n points generated by        \n" );
Print( "                                                       \n" );
Print( "    1 -->   1                             1   <--  n+1 \n" );
Print( "            2   <-- n+1           1 -->   2            \n" );
Print( "    2 -->   3                             3   <--  n+2 \n" );
Print( "            4   <-- n+2           2 -->   4            \n" );
Print( "    .       .                             .         .  \n" );
Print( "            .        .            .       .            \n" );
Print( "    .       .                             .         .  \n" );
Print( "            .        .            .       .            \n" );
Print( "    .       .                             .         .  \n" );
Print( "            .        .            .       .            \n" );
Print( "    n --> 2n-1                           2n-1  <-- 2n-1 \n" );
Print( "           2n   <--  2n           n -->  2n            \n" );
Print( "\n" );

ShuffleGroup := function( n )
    local outShuffle, inShuffle;
    
    outShuffle:= [];
    outShuffle{ [  1  ..  n  ] } := [ 1, 3 .. 2*n-1 ];
    outShuffle{ [ n+1 .. 2*n ] } := [ 2, 4 ..  2*n  ];
    
    inShuffle:= [];
    inShuffle{ [  1  ..  n  ] } := [ 2, 4 ..  2*n  ];
    inShuffle{ [ n+1 .. 2*n ] } := [ 1, 3 .. 2*n-1 ];
    
    return Group( PermList( outShuffle ), PermList( inShuffle ) );
end;


##############################################################################
##
#E

